Mailinglist Archive: opensuse-buildservice (181 mails)

< Previous Next >
Re: [opensuse-buildservice] Thunderbird 2 on SuSe 10.0
  • From: Wolfgang Rosenauer <wolfgang@xxxxxxxxxxxxx>
  • Date: Mon, 23 Jul 2007 12:03:12 +0200
  • Message-id: <46A47CE0.8090009@xxxxxxxxxxxxx>
Anton Vaaranmaa wrote:
> Bernhard Walle kirjoitti:
>> * Anton Vaaranmaa <antonv@xxxxxx> [2007-07-23 09:49]:
>>> I had trouble installing the v2 series of Thunderbird on SuSe. The cause
>>> of the problem was wrong dependency to glibc-2.4 in the "mozilla-nss"
>>> package. My solution to the problem was building the mozilla-nss package
>>> from source rpm myself.
>http://software.opensuse.org/download/mozilla/SUSE_Linux_10.0/
> 
> mozilla-nss-3.11.7-7.1.i586.rpm                20-Jun-2007 09:24  704K
> 
> The timestamp is still june 2007, so it's still the same package with
> the wrong dependencies to glibc-2.4. Querying the pkg verifies that this
> really is the case:

I don't know where you got
/data3/software/linux/network/thunderbird/mozilla-nss-3.11.7-7.1.i586.rpm
but for sure not from the URL above.
The package under the 10.0 repo has no dependency against glibc 2.4
(I've just downloaded and checked to be sure)

> antonvaa@ltsp:/data3/software/linux/network/thunderbird> rpm -qp
> --requires mozilla-nss-3.11.7-7.1.i586.rpm
> rpmlib(VersionedDependencies) <= 3.0.3-1
> mozilla-nspr >= 4.6.7
> /sbin/ldconfig
> /sbin/ldconfig
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rpmlib(CompressedFileNames) <= 3.0.4-1
> libc.so.6
> libc.so.6(GLIBC_2.0)
> libc.so.6(GLIBC_2.1)
> libc.so.6(GLIBC_2.1.3)
> libc.so.6(GLIBC_2.3)
> libc.so.6(GLIBC_2.3.4)
> libc.so.6(GLIBC_2.4)
> libdl.so.2
> libdl.so.2(GLIBC_2.0)
> libdl.so.2(GLIBC_2.1)
> libnspr4.so
> libnss3.so
> libnss3.so(NSS_3.10)
> libnss3.so(NSS_3.11)
> libnss3.so(NSS_3.11.1)
> libnss3.so(NSS_3.11.2)
> libnss3.so(NSS_3.2)
> libnss3.so(NSS_3.3)
> libnss3.so(NSS_3.3.1)
> libnss3.so(NSS_3.4)
> libnss3.so(NSS_3.5)
> libnss3.so(NSS_3.6)
> libnss3.so(NSS_3.7)
> libnss3.so(NSS_3.8)
> libnss3.so(NSS_3.9)
> libnss3.so(NSS_3.9.3)
> libplc4.so
> libplds4.so
> libpthread.so.0
> libpthread.so.0(GLIBC_2.0)
> libsoftokn3.so
> libsoftokn3.so(NSS_3.4)
> rpmlib(PayloadIsBzip2) <= 3.0.5-1
> antonvaa@ltsp:/data3/software/linux/network/thunderbird
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >